Loading...
Searching...
No Matches
gtsam::traits< Unit3 > Struct Reference
Inheritance diagram for gtsam::traits< Unit3 >:

## Additional Inherited Members

Public Member Functions inherited from gtsam::internal::ManifoldTraits< Unit3 >
| BOOST_CONCEPT_ASSERT ((HasManifoldPrereqs< Unit3 >))
Public Member Functions inherited from gtsam::Testable< Unit3 >
| BOOST_CONCEPT_ASSERT ((HasTestablePrereqs< Unit3 >))
Static Public Member Functions inherited from gtsam::internal::ManifoldTraits< Unit3 >
static TangentVector | Local (const Unit3 &origin, const Unit3 &other)
static Unit3 | Retract (const Unit3 &origin, const TangentVector &v)
Static Public Member Functions inherited from gtsam::internal::GetDimensionImpl< Unit3, Unit3::dimension >
static int | GetDimension (const Unit3 &)
Static Public Member Functions inherited from gtsam::Testable< Unit3 >
static void | Print (const Unit3 &m, const std::string &str="")
static bool | Equals (const Unit3 &m1, const Unit3 &m2, double tol=1e-8)
Public Types inherited from gtsam::internal::ManifoldTraits< Unit3 >
enum |
typedef Unit3 | ManifoldType
typedef manifold_tag | structure_category
typedef Eigen::Matrix< double, dimension, 1 > | TangentVector

The documentation for this struct was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/geometry/Unit3.h